Last Comment Bug 648819 - "ASSERTION: unknown nsISVGValue" with patternTransform
: "ASSERTION: unknown nsISVGValue" with patternTransform
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Robert Longson
:
Mentors:
Depends on:
Blocks: 326633 344905
  Show dependency treegraph
 
Reported: 2011-04-09 21:02 PDT by Jesse Ruderman
Modified: 2011-04-19 03:03 PDT (History)
4 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (187 bytes, text/html)
2011-04-09 21:02 PDT, Jesse Ruderman
no flags Details
stack (3.04 KB, text/plain)
2011-04-09 21:02 PDT, Jesse Ruderman
no flags Details
patch (1.95 KB, patch)
2011-04-10 02:47 PDT, Robert Longson
dholbert: review+
Details | Diff | Splinter Review
hg changeset patch (1.63 KB, patch)
2011-04-18 11:56 PDT, Robert Longson
no flags Details | Diff | Splinter Review

Description Jesse Ruderman 2011-04-09 21:02:28 PDT
Created attachment 524905 [details]
testcase

###!!! ASSERTION: unknown nsISVGValue: 'Not Reached', file content/svg/content/src/nsSVGElement.cpp, line 1072
Comment 1 Jesse Ruderman 2011-04-09 21:02:48 PDT
Created attachment 524906 [details]
stack
Comment 2 Robert Longson 2011-04-10 02:47:08 PDT
Created attachment 524932 [details] [diff] [review]
patch
Comment 3 Daniel Holbert [:dholbert] 2011-04-10 16:03:56 PDT
Comment on attachment 524932 [details] [diff] [review]
patch

Looks good!
Comment 4 Robert Longson 2011-04-18 11:56:11 PDT
Created attachment 526776 [details] [diff] [review]
hg changeset patch
Comment 5 Mounir Lamouri (:mounir) 2011-04-18 16:38:24 PDT
Pushed in cedar:
http://hg.mozilla.org/projects/cedar/rev/4b6eb8c8861d
Comment 6 Mounir Lamouri (:mounir) 2011-04-19 03:03:17 PDT
Pushed in m-c:
http://hg.mozilla.org/mozilla-central/rev/4b6eb8c8861d

Note You need to log in before you can comment on or make changes to this bug.